Forum

Bildirimler
Hepsini Temizle

Hyper-v Linux Integration Services (LIS) Problem

Okan Özbey
(@okanozbey)
Saygın Üye Forum Yöneticisi

Merhaba,

Hyper-v 3.0 üzerinde Centos 6.6 sunucularımız mevcut. Bu sunucuların kernel'inde LIS 3.1 bulunuyor. Linux sunucuları backup alırken Hyper-v üzerine event loglarda şu hata düşüyor ; 

A storage device in 'VM-LINUX' loaded but has a different version from the server.  Server version 6.0  Client version 5.1 (Virtual machine ID 5D56F2D5-AD15-46C4-8154-D57E4C6FC0CF). The device will work, but this is an unsupported configuration. This means that technical support will not be provided until this problem is resolved. To fix this problem, upgrade the integration services. To upgrade, connect to the virtual machine and select Insert Integration Services Setup Disk from the Action menu.

Asıl sorun ise şu bu sunucuyu acronis ile backup alırken sunucu servisleri hatta SSH dahi cevap vermiyor isteklere ve acronis'in checkpoint alma işleminde patlıyor ve backup alamıyor. 

http://www.microsoft.com/en-us/download/details.aspx?id=41554 adresinden LIS 3.5 indirip upgrade ettiğimiz de bile yine LIS 3.1 olarak gözüküyor. Bu sebeple Event loglara yine aynı hata düşüyor ve backup alırken yine patlıyor.

 [email protected]***** [~]# /sbin/modinfo hv_storvsc
filename:       /lib/modules/2.6.32-531.29.2.lve1.3.11.1.el6.x86_64/kernel/drivers/scsi/hv_storvsc.ko
description:    Microsoft Hyper-V virtual storage driver
version:        3.1
license:        GPL
srcversion:     A385CD40B1893EAFB73538C
alias:          vmbus:4acc9b2f6900f34ab76b6fd0be528cda
alias:          vmbus:32264132cb86a2449b5c50d1417354f5
alias:          vmbus:d96361baa104294db60572e2ffb1dc7f
depends:        hv_vmbus
vermagic:       2.6.32-531.29.2.lve1.3.11.1.el6.x86_64 SMP mod_unload modversions
parm:           storvsc_ringbuffer_size:Ring buffer size (bytes) (int)

Özetleyecek olursam Centos üzerinde LIS bir türlü upgrade olmuyor , yükleme sonrası yine 3.1 versiyon görüyor. LIS ile yüklediğimiz rpm'i kaldırdığımızda dahi yine yukarıda ki gibi 3.1 i görüyor. 

Host sunucu üzerinden ; Get-VM | ft ID, NAME, IntegrationServicesVersion  çektiğimde ise sonuç aşağıda ki gibi ; 

PS C:\Users\Administrator> Get-VM | ft NAME, IntegrationServicesVersion
Name                                    IntegrationServicesVersion
xxx....                                   3.1

Bu tarz bir problem yaşayan olduysa yardımcı olursa sevinirim. 

www.okanozbey.com

Alıntı
Topic starter Gönderildi : 04/03/2015 19:18
Okan Özbey
(@okanozbey)
Saygın Üye Forum Yöneticisi

Anlamsız bir şekilde Linux VM'ler üzerindeki manual olarak yüklenen Integration servislerini kaldırınca kernelin içinde gelen integration servis ile çalıştığında problem çözüldü. 

Acronis backup alırken eğer linux sunucu içerisinde herhangi bir LIS versiyonu varsa servisler cevap vermiyor. LIS kaldırıp kernel içerisinde gelen LIS ile çalışmasını sağlayınca problem kalmıyor. 

Bu tarz bir hata ile karşılaşan olursa bu şekilde çözüm sağlanıldı. 

www.okanozbey.com

CevapAlıntı
Topic starter Gönderildi : 05/03/2015 23:59
Paylaş: